Config::Model::Role::HelpAsText(3pm)

NAME
Config::Model::Role::HelpAsText - Translate element help from pod to text

VERSION
version 2.166

SYNOPSIS
 $self->get_help_as_text( ... );

DESCRIPTION
Role used to transform Config::Model help text or description from pod to text. The provided method should be used when the help text should be displayed on STDOUT.

This functionality is provided as a role because the interface to Pod::Text is not so easy.

METHODS

  get_help_as_text
Calls "get_help" and transform the Pod output to text.

  SEE ALSO
Pod::Text, Pod::Simple

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999